3

While compiling PHP7 with curl I got this message in my log:

/php-src/ext/curl/interface.c:74:5: warning: #warning "libcurl was compiled with SSL support, but configure could not determine which" "library was used; thus no SSL crypto locking callbacks will be set, which may " "cause random crashes on SSL requests" [-Wcpp] warning \ ^

After that ki installed OpenSSL and added that to my configure Parameters too, but that doesn't solve my issue.

I am not able to get the clue... would be great to get a hint from the community.

Thank you! Chris

  • Libssl-dev is already installed. – Christian Sturm Oct 5 '17 at 19:47
  • You solved that issue ? – Stephane Feb 8 '19 at 9:27
0

You can try install curl with openssl support from source:

yum install -y openssl-devel
wget https://curl.haxx.se/download/curl-7.65.3.tar.gz
tar xvfz curl-7.65.3.tar.gz
cd curl-7.65.3
./configure --with-ssl
make
make install

(maybe needed restart your console)

# curl -V
curl 7.65.3 (x86_64-pc-linux-gnu) libcurl/7.65.3 OpenSSL/1.0.2k-fips zlib/1.2.7
Release-Date: 2019-07-19
Protocols: dict file ftp ftps gopher http https imap imaps pop3 pop3s rtsp smb smbs smtp smtps telnet tftp
Features: AsynchDNS HTTPS-proxy IPv6 Largefile libz NTLM NTLM_WB SSL UnixSockets
|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.